Bug 1284151 - [abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
[abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:31a4fcdaa9b176f5e04d1abcd05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 22:58 EST by Erick Omar Delgado
Modified: 2016-09-14 04:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 04:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (118.15 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: core_backtrace (11.47 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: dso_list (23.28 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: environ (1.45 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: maps (132.66 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: mountinfo (3.61 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: open_fds (16.86 KB, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-20 22:58 EST, Erick Omar Delgado
no flags Details

  None (edit)
Description Erick Omar Delgado 2015-11-20 22:58:17 EST
Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 27
crash_function: _g_log_abort
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     5153
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:324
 #8 DRI2GetBuffersWithFormat at dri2.c:491
 #9 dri2GetBuffersWithFormat at dri2_glx.c:900
 #10 dri2_drawable_get_buffers at dri2.c:213
 #11 dri2_allocate_textures at dri2.c:407
 #12 dri_st_framebuffer_validate at dri_drawable.c:83
 #13 st_framebuffer_validate at state_tracker/st_manager.c:200
 #14 st_api_make_current at state_tracker/st_manager.c:774
 #15 dri_make_current at dri_context.c:245
 #16 driBindContext at dri_util.c:530
Comment 1 Erick Omar Delgado 2015-11-20 22:58:21 EST
Created attachment 1097424 [details]
File: backtrace
Comment 2 Erick Omar Delgado 2015-11-20 22:58:22 EST
Created attachment 1097425 [details]
File: cgroup
Comment 3 Erick Omar Delgado 2015-11-20 22:58:23 EST
Created attachment 1097426 [details]
File: core_backtrace
Comment 4 Erick Omar Delgado 2015-11-20 22:58:24 EST
Created attachment 1097427 [details]
File: dso_list
Comment 5 Erick Omar Delgado 2015-11-20 22:58:25 EST
Created attachment 1097428 [details]
File: environ
Comment 6 Erick Omar Delgado 2015-11-20 22:58:26 EST
Created attachment 1097429 [details]
File: limits
Comment 7 Erick Omar Delgado 2015-11-20 22:58:28 EST
Created attachment 1097430 [details]
File: maps
Comment 8 Erick Omar Delgado 2015-11-20 22:58:29 EST
Created attachment 1097431 [details]
File: mountinfo
Comment 9 Erick Omar Delgado 2015-11-20 22:58:30 EST
Created attachment 1097432 [details]
File: namespaces
Comment 10 Erick Omar Delgado 2015-11-20 22:58:31 EST
Created attachment 1097433 [details]
File: open_fds
Comment 11 Erick Omar Delgado 2015-11-20 22:58:32 EST
Created attachment 1097434 [details]
File: proc_pid_status
Comment 12 Franky Van Liedekerke 2015-12-31 05:07:01 EST
Another user experienced a similar problem:

Closing a tab in the browser caused this.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 24
crash_function: _g_log_abort
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     2981
kernel:         4.2.8-300.fc23.x86_64
package:        webkitgtk4-2.10.4-1.fc23
reason:         WebKitWebProcess killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Michael Catanzaro 2016-03-01 19:05:03 EST
Can either of you reproduce this issue somehow? Unfortunately the bug report is not actionable, we need a backtrace taken when running with GDK_SYNCHRONIZE to get anything meaningful:

"""
(Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
"""
Comment 14 Michael Catanzaro 2016-03-01 19:06:14 EST
(Was planning to move this to mesa, before I noticed the X error; I suspect that's somehow our fault....)
Comment 15 Michael Catanzaro 2016-03-01 19:34:33 EST
Eh, I'll move this back to mesa after all, it's too deep in graphics driver land for me to feel comfortable reporting this as a WebKit bug....
Comment 16 Erick Omar Delgado 2016-05-16 23:11:28 EDT
(In reply to Michael Catanzaro from comment #13)
> Can either of you reproduce this issue somehow? Unfortunately the bug report
> is not actionable, we need a backtrace taken when running with
> GDK_SYNCHRONIZE to get anything meaningful:
> 
> """
> (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the GDK_SYNCHRONIZE environment
>    variable to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)
> """

I will try to reproduce this issue.
Comment 17 Igor Gnatenko 2016-09-14 04:08:49 EDT
I hope this has been resolved already, if not - please reopen bug.

Note You need to log in before you can comment on or make changes to this bug.